/* Popover styling */



/* Popover styling */
.popoverContainer[data-popover] {
  display: inline;
  position: relative;
}
.popoverContainer[data-popover] > button:focus { outline: none; }
.popoverContainer[data-popover] > button::-webkit-details-marker { display: none; }

.popoverContainer[data-popover] > button + * {
  position: absolute;
  display: block;
  z-index: 1;
  width: auto;
  border: solid 1px teal;
  border-radius: 3%;
  padding: 10px;
  background: white;
}

.popoverContainer[data-popover] > div.popoverContent {
  display: block;
  z-index: 2008;
}

.popoverContainer[data-popover="up"] > button + * {
  bottom: calc(0.5rem + 100%);
  right: 50%;
  transform: translateX(50%);
}

.popoverContainer[data-popover="down"] > button + * {
  top: calc(1.6rem + 100%);
  right: initial;
  transform: translateX(0);
}

.popoverContainer[data-popover="left"] > button + * {
  right: calc(1rem + 100%);
  bottom: 50%;
  transform: translateY(50%);
}

.popoverContainer[data-popover="right"] > button + * {
  left: calc(1rem + 100%);
  bottom: 50%;
  transform: translateY(50%);
}

.popoverWrapper {
  width: 100%;
  padding: 0.1em;
}
